'use strict';

Object.defineProperty(exports, "__esModule", {
   value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var useMemoizedCallback = function useMemoizedCallback(cb) {
   var data = (0, _react.useRef)({ callback: null, handler: null });
   data.current.callback = cb;
   if (!data.current.handler) {
      data.current.handler = function () {
         var _data$current;

         return (_data$current = data.current).callback.apply(_data$current, arguments);
      };
   }
   return data.current.handler;
};

exports.default = useMemoizedCallback;